Summary: Fermi configurations for AutoRPM
Name: autorpm-config
Version: 3.0
Release: 2
Group: Fermi
Copyright: GPL
Packager: Dan Yocum <yocum@fnal.gov>
Source: autorpm-config-autorpm.conf
Source1: autorpm-config-updates
Source2: autorpm-config-addons
Source3: autorpm-config-workgroup-updates
Requires: autorpm >= 1.9
BuildRoot: /tmp/autorpm-build
BuildArch: noarch

%description
These are the Fermi config files for AutoRPM.  These together with the actual
AutoRPM package will automatically perform system security upgrades and
install additional components to the Fermi Linux distribution.

%prep

%build

%install
cd ${RPM_SOURCE_DIR}
install -m 0755 -d ${RPM_BUILD_ROOT}/etc/autorpm.d/pools
install -m 0600 autorpm-config-autorpm.conf ${RPM_BUILD_ROOT}/etc/autorpm.d/autorpm.conf
install -m 0600 autorpm-config-updates ${RPM_BUILD_ROOT}/etc/autorpm.d/pools/updates
install -m 0600 autorpm-config-addons ${RPM_BUILD_ROOT}/etc/autorpm.d/pools/addons
install -m 0600 autorpm-config-workgroup-updates ${RPM_BUILD_ROOT}/etc/autorpm.d/pools/workgroup-updates

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config %attr(-,root,root) /etc/autorpm.d/autorpm.conf
%config %attr(-,root,root) /etc/autorpm.d/pools/updates
%config %attr(-,root,root) /etc/autorpm.d/pools/addons
%config %attr(-,root,root) /etc/autorpm.d/pools/workgroup-updates

############################################################
#
#%package CUSTOM
#Summary: Fermi configurations for AutoRPM - CUSTOM group
#Group: Fermi
#
#%description CUSTOM
#These are the config files for AutoRPM.  These together with the actual
#AutoRPM package will automatically perform system security upgrades and
#install additional components to the Fermi Red Hat distribution.
#This is for backwards compatibility purposes only.
#
#%files CUSTOM
#%config %attr(-,root,root) /etc/autorpm.conf
#%config %attr(-,root,root) /etc/autorpm.d/pools/updates
#%config %attr(-,root,root) /etc/autorpm.d/pools/addons
#%config %attr(-,root,root) /etc/autorpm.d/pools/workgroup-updates
#
